tinyMCE.init({
	// General options
	mode : "specific_textareas",
	editor_selector : "mceEditor",
	theme : "modern",
	skin : "lightgray",
	menubar: "edit insert view format table tools",
	resize: "both",
	relative_urls : false,
	browser_spellcheck: true,
	pagebreak_separator : "<div class='PageBreak' style='page-break-after: always;'>--PageBreak--</div>",
	plugins : "autolink,lists,pagebreak,table,save,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,template,wordcount,advlist,autosave,anchor,charmap,hr,image,link,emoticons,code,textcolor",
	
	content_css : "/BuiltIn/bootstrap/css/bootstrap.min.css,/BuiltIn/bootstrap/fonts/bootstrap-glyphicons.css",
	
	//Custom Styles can be added here if you copy this file outside of BuiltIn and then reference that in your Templates instead.
	//We are also open to further suggestions for common custom style needs to be added here to the BuiltIn list.
	style_formats: [
		{title: 'Header One', block: 'h1'},
		{title: 'Header Two', block: 'h2'},
		{title: 'Header Three', block: 'h3'},
		{title: 'Header Four', block: 'h4'},
		{title: 'Header Five', block: 'h5'},
		{title: 'Header Six', block: 'h6'},
		
		{title: 'Block Quote', block: 'blockquote'},
		{title: 'Code Block', block: 'pre'},
		{title: 'Inline Code', inline: 'code'},
		
		{title: 'Image Margin 5px', selector: 'img', styles: {'margin': '5px'}},
		{title: 'Image Margin 10px', selector: 'img', styles: {'margin': '10px'}},
		{title: 'Image Margin 15px', selector: 'img', styles: {'margin': '15px'}},
		{title: 'Image Margin 20px', selector: 'img', styles: {'margin': '20px'}},
		
		{title: 'Image Rounded', selector: 'img', styles: {'border-radius': '6px'}},
		{title: 'Image Circle', selector: 'img', styles: {'border-radius': '500px'}},
		{title: 'Image Frame', selector: 'img', styles: {'padding': '4px', 'line-height': '1.42857', 'background-color': 'rgb(255, 255, 255)', 'border': '1px solid rgb(221, 221, 221)', 'border-radius': '4px 4px 4px 4px', 'transition': 'all 0.2s ease-in-out 0s'}},
		
		{title: 'Image Responsive Scale', selector: 'img', styles: {'max-width': '100%', 'height': 'auto'}}
	],
	
	//Custom Templates can be added here if you copy this file outside of BuiltIn and then reference that in your Templates instead.
	//We are also open to further suggestions for common custom style needs to be added here to the BuiltIn list.
	templates: [ 
		{title: 'Responsive Video', description: 'Responsive Video', content: '<div class="RspVideo"><span style="text-align: center;"><iframe src="//www.youtube-nocookie.com/embed/CHANGEME" frameborder="0" allowfullscreen></iframe></span></div>'},
		{title: 'Icon Glass', description: 'Icon Glass', content: '<span class="glyphicon glyphicon-glass">&nbsp;</span>'},
		{title: 'Icon Music', description: 'Icon Music', content: '<span class="glyphicon glyphicon-music">&nbsp;</span>'},
		{title: 'Icon Search', description: 'Icon Search', content: '<span class="glyphicon glyphicon-search">&nbsp;</span>'},
		{title: 'Icon Envelope', description: 'Icon Envelope', content: '<span class="glyphicon glyphicon-envelope">&nbsp;</span>'},
		{title: 'Icon Heart', description: 'Icon Heart', content: '<span class="glyphicon glyphicon-heart">&nbsp;</span>'},
		{title: 'Icon Star', description: 'Icon Star', content: '<span class="glyphicon glyphicon-star">&nbsp;</span>'},
		{title: 'Icon Star-Empty', description: 'Icon Star-Empty', content: '<span class="glyphicon glyphicon-star-empty">&nbsp;</span>'},
		{title: 'Icon User', description: 'Icon User', content: '<span class="glyphicon glyphicon-user">&nbsp;</span>'},
		{title: 'Icon Film', description: 'Icon Film', content: '<span class="glyphicon glyphicon-film">&nbsp;</span>'},
		{title: 'Icon Th-Large', description: 'Icon Th-Large', content: '<span class="glyphicon glyphicon-th-large">&nbsp;</span>'},
		{title: 'Icon Th', description: 'Icon Th', content: '<span class="glyphicon glyphicon-th">&nbsp;</span>'},
		{title: 'Icon Th-List', description: 'Icon Th-List', content: '<span class="glyphicon glyphicon-th-list">&nbsp;</span>'},
		{title: 'Icon Ok', description: 'Icon Ok', content: '<span class="glyphicon glyphicon-ok">&nbsp;</span>'},
		{title: 'Icon Remove', description: 'Icon Remove', content: '<span class="glyphicon glyphicon-remove">&nbsp;</span>'},
		{title: 'Icon Zoom-In', description: 'Icon Zoom-In', content: '<span class="glyphicon glyphicon-zoom-in">&nbsp;</span>'},
		{title: 'Icon Zoom-Out', description: 'Icon Zoom-Out', content: '<span class="glyphicon glyphicon-zoom-out">&nbsp;</span>'},
		{title: 'Icon Off', description: 'Icon Off', content: '<span class="glyphicon glyphicon-off">&nbsp;</span>'},
		{title: 'Icon Signal', description: 'Icon Signal', content: '<span class="glyphicon glyphicon-signal">&nbsp;</span>'},
		{title: 'Icon Cog', description: 'Icon Cog', content: '<span class="glyphicon glyphicon-cog">&nbsp;</span>'},
		{title: 'Icon Trash', description: 'Icon Trash', content: '<span class="glyphicon glyphicon-trash">&nbsp;</span>'},
		{title: 'Icon Home', description: 'Icon Home', content: '<span class="glyphicon glyphicon-home">&nbsp;</span>'},
		{title: 'Icon File', description: 'Icon File', content: '<span class="glyphicon glyphicon-file">&nbsp;</span>'},
		{title: 'Icon Time', description: 'Icon Time', content: '<span class="glyphicon glyphicon-time">&nbsp;</span>'},
		{title: 'Icon Road', description: 'Icon Road', content: '<span class="glyphicon glyphicon-road">&nbsp;</span>'},
		{title: 'Icon Download-Alt', description: 'Icon Download-Alt', content: '<span class="glyphicon glyphicon-download-alt">&nbsp;</span>'},
		{title: 'Icon Download', description: 'Icon Download', content: '<span class="glyphicon glyphicon-download">&nbsp;</span>'},
		{title: 'Icon Upload', description: 'Icon Upload', content: '<span class="glyphicon glyphicon-upload">&nbsp;</span>'},
		{title: 'Icon Inbox', description: 'Icon Inbox', content: '<span class="glyphicon glyphicon-inbox">&nbsp;</span>'},
		{title: 'Icon Play-Circle', description: 'Icon Play-Circle', content: '<span class="glyphicon glyphicon-play-circle">&nbsp;</span>'},
		{title: 'Icon Repeat', description: 'Icon Repeat', content: '<span class="glyphicon glyphicon-repeat">&nbsp;</span>'},
		{title: 'Icon Refresh', description: 'Icon Refresh', content: '<span class="glyphicon glyphicon-refresh">&nbsp;</span>'},
		{title: 'Icon List-Alt', description: 'Icon List-Alt', content: '<span class="glyphicon glyphicon-list-alt">&nbsp;</span>'},
		{title: 'Icon Lock', description: 'Icon Lock', content: '<span class="glyphicon glyphicon-lock">&nbsp;</span>'},
		{title: 'Icon Flag', description: 'Icon Flag', content: '<span class="glyphicon glyphicon-flag">&nbsp;</span>'},
		{title: 'Icon Headphones', description: 'Icon Headphones', content: '<span class="glyphicon glyphicon-headphones">&nbsp;</span>'},
		{title: 'Icon Volume-Off', description: 'Icon Volume-Off', content: '<span class="glyphicon glyphicon-volume-off">&nbsp;</span>'},
		{title: 'Icon Volume-Down', description: 'Icon Volume-Down', content: '<span class="glyphicon glyphicon-volume-down">&nbsp;</span>'},
		{title: 'Icon Volume-Up', description: 'Icon Volume-Up', content: '<span class="glyphicon glyphicon-volume-up">&nbsp;</span>'},
		{title: 'Icon Qrcode', description: 'Icon Qrcode', content: '<span class="glyphicon glyphicon-qrcode">&nbsp;</span>'},
		{title: 'Icon Barcode', description: 'Icon Barcode', content: '<span class="glyphicon glyphicon-barcode">&nbsp;</span>'},
		{title: 'Icon Tag', description: 'Icon Tag', content: '<span class="glyphicon glyphicon-tag">&nbsp;</span>'},
		{title: 'Icon Tags', description: 'Icon Tags', content: '<span class="glyphicon glyphicon-tags">&nbsp;</span>'},
		{title: 'Icon Book', description: 'Icon Book', content: '<span class="glyphicon glyphicon-book">&nbsp;</span>'},
		{title: 'Icon Bookmark', description: 'Icon Bookmark', content: '<span class="glyphicon glyphicon-bookmark">&nbsp;</span>'},
		{title: 'Icon Print', description: 'Icon Print', content: '<span class="glyphicon glyphicon-print">&nbsp;</span>'},
		{title: 'Icon Camera', description: 'Icon Camera', content: '<span class="glyphicon glyphicon-camera">&nbsp;</span>'},
		{title: 'Icon Font', description: 'Icon Font', content: '<span class="glyphicon glyphicon-font">&nbsp;</span>'},
		{title: 'Icon Bold', description: 'Icon Bold', content: '<span class="glyphicon glyphicon-bold">&nbsp;</span>'},
		{title: 'Icon Italic', description: 'Icon Italic', content: '<span class="glyphicon glyphicon-italic">&nbsp;</span>'},
		{title: 'Icon Text-Height', description: 'Icon Text-Height', content: '<span class="glyphicon glyphicon-text-height">&nbsp;</span>'},
		{title: 'Icon Text-Width', description: 'Icon Text-Width', content: '<span class="glyphicon glyphicon-text-width">&nbsp;</span>'},
		{title: 'Icon Align-Left', description: 'Icon Align-Left', content: '<span class="glyphicon glyphicon-align-left">&nbsp;</span>'},
		{title: 'Icon Align-Center', description: 'Icon Align-Center', content: '<span class="glyphicon glyphicon-align-center">&nbsp;</span>'},
		{title: 'Icon Align-Right', description: 'Icon Align-Right', content: '<span class="glyphicon glyphicon-align-right">&nbsp;</span>'},
		{title: 'Icon Align-Justify', description: 'Icon Align-Justify', content: '<span class="glyphicon glyphicon-align-justify">&nbsp;</span>'},
		{title: 'Icon List', description: 'Icon List', content: '<span class="glyphicon glyphicon-list">&nbsp;</span>'},
		{title: 'Icon Indent-Left', description: 'Icon Indent-Left', content: '<span class="glyphicon glyphicon-indent-left">&nbsp;</span>'},
		{title: 'Icon Indent-Right', description: 'Icon Indent-Right', content: '<span class="glyphicon glyphicon-indent-right">&nbsp;</span>'},
		{title: 'Icon Facetime-Video', description: 'Icon Facetime-Video', content: '<span class="glyphicon glyphicon-facetime-video">&nbsp;</span>'},
		{title: 'Icon Picture', description: 'Icon Picture', content: '<span class="glyphicon glyphicon-picture">&nbsp;</span>'},
		{title: 'Icon Pencil', description: 'Icon Pencil', content: '<span class="glyphicon glyphicon-pencil">&nbsp;</span>'},
		{title: 'Icon Map-Marker', description: 'Icon Map-Marker', content: '<span class="glyphicon glyphicon-map-marker">&nbsp;</span>'},
		{title: 'Icon Adjust', description: 'Icon Adjust', content: '<span class="glyphicon glyphicon-adjust">&nbsp;</span>'},
		{title: 'Icon Tint', description: 'Icon Tint', content: '<span class="glyphicon glyphicon-tint">&nbsp;</span>'},
		{title: 'Icon Edit', description: 'Icon Edit', content: '<span class="glyphicon glyphicon-edit">&nbsp;</span>'},
		{title: 'Icon Share', description: 'Icon Share', content: '<span class="glyphicon glyphicon-share">&nbsp;</span>'},
		{title: 'Icon Check', description: 'Icon Check', content: '<span class="glyphicon glyphicon-check">&nbsp;</span>'},
		{title: 'Icon Move', description: 'Icon Move', content: '<span class="glyphicon glyphicon-move">&nbsp;</span>'},
		{title: 'Icon Step-Backward', description: 'Icon Step-Backward', content: '<span class="glyphicon glyphicon-step-backward">&nbsp;</span>'},
		{title: 'Icon Fast-Backward', description: 'Icon Fast-Backward', content: '<span class="glyphicon glyphicon-fast-backward">&nbsp;</span>'},
		{title: 'Icon Backward', description: 'Icon Backward', content: '<span class="glyphicon glyphicon-backward">&nbsp;</span>'},
		{title: 'Icon Play', description: 'Icon Play', content: '<span class="glyphicon glyphicon-play">&nbsp;</span>'},
		{title: 'Icon Pause', description: 'Icon Pause', content: '<span class="glyphicon glyphicon-pause">&nbsp;</span>'},
		{title: 'Icon Stop', description: 'Icon Stop', content: '<span class="glyphicon glyphicon-stop">&nbsp;</span>'},
		{title: 'Icon Forward', description: 'Icon Forward', content: '<span class="glyphicon glyphicon-forward">&nbsp;</span>'},
		{title: 'Icon Fast-Forward', description: 'Icon Fast-Forward', content: '<span class="glyphicon glyphicon-fast-forward">&nbsp;</span>'},
		{title: 'Icon Step-Forward', description: 'Icon Step-Forward', content: '<span class="glyphicon glyphicon-step-forward">&nbsp;</span>'},
		{title: 'Icon Eject', description: 'Icon Eject', content: '<span class="glyphicon glyphicon-eject">&nbsp;</span>'},
		{title: 'Icon Chevron-Left', description: 'Icon Chevron-Left', content: '<span class="glyphicon glyphicon-chevron-left">&nbsp;</span>'},
		{title: 'Icon Chevron-Right', description: 'Icon Chevron-Right', content: '<span class="glyphicon glyphicon-chevron-right">&nbsp;</span>'},
		{title: 'Icon Plus-Sign', description: 'Icon Plus-Sign', content: '<span class="glyphicon glyphicon-plus-sign">&nbsp;</span>'},
		{title: 'Icon Minus-Sign', description: 'Icon Minus-Sign', content: '<span class="glyphicon glyphicon-minus-sign">&nbsp;</span>'},
		{title: 'Icon Remove-Sign', description: 'Icon Remove-Sign', content: '<span class="glyphicon glyphicon-remove-sign">&nbsp;</span>'},
		{title: 'Icon Ok-Sign', description: 'Icon Ok-Sign', content: '<span class="glyphicon glyphicon-ok-sign">&nbsp;</span>'},
		{title: 'Icon Question-Sign', description: 'Icon Question-Sign', content: '<span class="glyphicon glyphicon-question-sign">&nbsp;</span>'},
		{title: 'Icon Info-Sign', description: 'Icon Info-Sign', content: '<span class="glyphicon glyphicon-info-sign">&nbsp;</span>'},
		{title: 'Icon Screenshot', description: 'Icon Screenshot', content: '<span class="glyphicon glyphicon-screenshot">&nbsp;</span>'},
		{title: 'Icon Remove-Circle', description: 'Icon Remove-Circle', content: '<span class="glyphicon glyphicon-remove-circle">&nbsp;</span>'},
		{title: 'Icon Ok-Circle', description: 'Icon Ok-Circle', content: '<span class="glyphicon glyphicon-ok-circle">&nbsp;</span>'},
		{title: 'Icon Ban-Circle', description: 'Icon Ban-Circle', content: '<span class="glyphicon glyphicon-ban-circle">&nbsp;</span>'},
		{title: 'Icon Arrow-Left', description: 'Icon Arrow-Left', content: '<span class="glyphicon glyphicon-arrow-left">&nbsp;</span>'},
		{title: 'Icon Arrow-Right', description: 'Icon Arrow-Right', content: '<span class="glyphicon glyphicon-arrow-right">&nbsp;</span>'},
		{title: 'Icon Arrow-Up', description: 'Icon Arrow-Up', content: '<span class="glyphicon glyphicon-arrow-up">&nbsp;</span>'},
		{title: 'Icon Arrow-Down', description: 'Icon Arrow-Down', content: '<span class="glyphicon glyphicon-arrow-down">&nbsp;</span>'},
		{title: 'Icon Share-Alt', description: 'Icon Share-Alt', content: '<span class="glyphicon glyphicon-share-alt">&nbsp;</span>'},
		{title: 'Icon Resize-Full', description: 'Icon Resize-Full', content: '<span class="glyphicon glyphicon-resize-full">&nbsp;</span>'},
		{title: 'Icon Resize-Small', description: 'Icon Resize-Small', content: '<span class="glyphicon glyphicon-resize-small">&nbsp;</span>'},
		{title: 'Icon Plus', description: 'Icon Plus', content: '<span class="glyphicon glyphicon-plus">&nbsp;</span>'},
		{title: 'Icon Minus', description: 'Icon Minus', content: '<span class="glyphicon glyphicon-minus">&nbsp;</span>'},
		{title: 'Icon Asterisk', description: 'Icon Asterisk', content: '<span class="glyphicon glyphicon-asterisk">&nbsp;</span>'},
		{title: 'Icon Exclamation-Sign', description: 'Icon Exclamation-Sign', content: '<span class="glyphicon glyphicon-exclamation-sign">&nbsp;</span>'},
		{title: 'Icon Gift', description: 'Icon Gift', content: '<span class="glyphicon glyphicon-gift">&nbsp;</span>'},
		{title: 'Icon Leaf', description: 'Icon Leaf', content: '<span class="glyphicon glyphicon-leaf">&nbsp;</span>'},
		{title: 'Icon Fire', description: 'Icon Fire', content: '<span class="glyphicon glyphicon-fire">&nbsp;</span>'},
		{title: 'Icon Eye-Open', description: 'Icon Eye-Open', content: '<span class="glyphicon glyphicon-eye-open">&nbsp;</span>'},
		{title: 'Icon Eye-Close', description: 'Icon Eye-Close', content: '<span class="glyphicon glyphicon-eye-close">&nbsp;</span>'},
		{title: 'Icon Warning-Sign', description: 'Icon Warning-Sign', content: '<span class="glyphicon glyphicon-warning-sign">&nbsp;</span>'},
		{title: 'Icon Plane', description: 'Icon Plane', content: '<span class="glyphicon glyphicon-plane">&nbsp;</span>'},
		{title: 'Icon Calendar', description: 'Icon Calendar', content: '<span class="glyphicon glyphicon-calendar">&nbsp;</span>'},
		{title: 'Icon Random', description: 'Icon Random', content: '<span class="glyphicon glyphicon-random">&nbsp;</span>'},
		{title: 'Icon Comment', description: 'Icon Comment', content: '<span class="glyphicon glyphicon-comment">&nbsp;</span>'},
		{title: 'Icon Magnet', description: 'Icon Magnet', content: '<span class="glyphicon glyphicon-magnet">&nbsp;</span>'},
		{title: 'Icon Chevron-Up', description: 'Icon Chevron-Up', content: '<span class="glyphicon glyphicon-chevron-up">&nbsp;</span>'},
		{title: 'Icon Chevron-Down', description: 'Icon Chevron-Down', content: '<span class="glyphicon glyphicon-chevron-down">&nbsp;</span>'},
		{title: 'Icon Retweet', description: 'Icon Retweet', content: '<span class="glyphicon glyphicon-retweet">&nbsp;</span>'},
		{title: 'Icon Shopping-Cart', description: 'Icon Shopping-Cart', content: '<span class="glyphicon glyphicon-shopping-cart">&nbsp;</span>'},
		{title: 'Icon Folder-Close', description: 'Icon Folder-Close', content: '<span class="glyphicon glyphicon-folder-close">&nbsp;</span>'},
		{title: 'Icon Folder-Open', description: 'Icon Folder-Open', content: '<span class="glyphicon glyphicon-folder-open">&nbsp;</span>'},
		{title: 'Icon Resize-Vertical', description: 'Icon Resize-Vertical', content: '<span class="glyphicon glyphicon-resize-vertical">&nbsp;</span>'},
		{title: 'Icon Resize-Horizontal', description: 'Icon Resize-Horizontal', content: '<span class="glyphicon glyphicon-resize-horizontal">&nbsp;</span>'},
		{title: 'Icon Hdd', description: 'Icon Hdd', content: '<span class="glyphicon glyphicon-hdd">&nbsp;</span>'},
		{title: 'Icon Bullhorn', description: 'Icon Bullhorn', content: '<span class="glyphicon glyphicon-bullhorn">&nbsp;</span>'},
		{title: 'Icon Bell', description: 'Icon Bell', content: '<span class="glyphicon glyphicon-bell">&nbsp;</span>'},
		{title: 'Icon Certificate', description: 'Icon Certificate', content: '<span class="glyphicon glyphicon-certificate">&nbsp;</span>'},
		{title: 'Icon Thumbs-Up', description: 'Icon Thumbs-Up', content: '<span class="glyphicon glyphicon-thumbs-up">&nbsp;</span>'},
		{title: 'Icon Thumbs-Down', description: 'Icon Thumbs-Down', content: '<span class="glyphicon glyphicon-thumbs-down">&nbsp;</span>'},
		{title: 'Icon Hand-Right', description: 'Icon Hand-Right', content: '<span class="glyphicon glyphicon-hand-right">&nbsp;</span>'},
		{title: 'Icon Hand-Left', description: 'Icon Hand-Left', content: '<span class="glyphicon glyphicon-hand-left">&nbsp;</span>'},
		{title: 'Icon Hand-Up', description: 'Icon Hand-Up', content: '<span class="glyphicon glyphicon-hand-up">&nbsp;</span>'},
		{title: 'Icon Hand-Down', description: 'Icon Hand-Down', content: '<span class="glyphicon glyphicon-hand-down">&nbsp;</span>'},
		{title: 'Icon Circle-Arrow-Right', description: 'Icon Circle-Arrow-Right', content: '<span class="glyphicon glyphicon-circle-arrow-right">&nbsp;</span>'},
		{title: 'Icon Circle-Arrow-Left', description: 'Icon Circle-Arrow-Left', content: '<span class="glyphicon glyphicon-circle-arrow-left">&nbsp;</span>'},
		{title: 'Icon Circle-Arrow-Up', description: 'Icon Circle-Arrow-Up', content: '<span class="glyphicon glyphicon-circle-arrow-up">&nbsp;</span>'},
		{title: 'Icon Circle-Arrow-Down', description: 'Icon Circle-Arrow-Down', content: '<span class="glyphicon glyphicon-circle-arrow-down">&nbsp;</span>'},
		{title: 'Icon Globe', description: 'Icon Globe', content: '<span class="glyphicon glyphicon-globe">&nbsp;</span>'},
		{title: 'Icon Wrench', description: 'Icon Wrench', content: '<span class="glyphicon glyphicon-wrench">&nbsp;</span>'},
		{title: 'Icon Tasks', description: 'Icon Tasks', content: '<span class="glyphicon glyphicon-tasks">&nbsp;</span>'},
		{title: 'Icon Filter', description: 'Icon Filter', content: '<span class="glyphicon glyphicon-filter">&nbsp;</span>'},
		{title: 'Icon Briefcase', description: 'Icon Briefcase', content: '<span class="glyphicon glyphicon-briefcase">&nbsp;</span>'},
		{title: 'Icon Fullscreen', description: 'Icon Fullscreen', content: '<span class="glyphicon glyphicon-fullscreen">&nbsp;</span>'},
		{title: 'Icon Dashboard', description: 'Icon Dashboard', content: '<span class="glyphicon glyphicon-dashboard">&nbsp;</span>'},
		{title: 'Icon Paperclip', description: 'Icon Paperclip', content: '<span class="glyphicon glyphicon-paperclip">&nbsp;</span>'},
		{title: 'Icon Heart-Empty', description: 'Icon Heart-Empty', content: '<span class="glyphicon glyphicon-heart-empty">&nbsp;</span>'},
		{title: 'Icon Link', description: 'Icon Link', content: '<span class="glyphicon glyphicon-link">&nbsp;</span>'},
		{title: 'Icon Phone', description: 'Icon Phone', content: '<span class="glyphicon glyphicon-phone">&nbsp;</span>'},
		{title: 'Icon Pushpin', description: 'Icon Pushpin', content: '<span class="glyphicon glyphicon-pushpin">&nbsp;</span>'},
		{title: 'Icon Euro', description: 'Icon Euro', content: '<span class="glyphicon glyphicon-euro">&nbsp;</span>'},
		{title: 'Icon Usd', description: 'Icon Usd', content: '<span class="glyphicon glyphicon-usd">&nbsp;</span>'},
		{title: 'Icon Gbp', description: 'Icon Gbp', content: '<span class="glyphicon glyphicon-gbp">&nbsp;</span>'},
		{title: 'Icon Sort', description: 'Icon Sort', content: '<span class="glyphicon glyphicon-sort">&nbsp;</span>'},
		{title: 'Icon Sort-By-Alphabet', description: 'Icon Sort-By-Alphabet', content: '<span class="glyphicon glyphicon-sort-by-alphabet">&nbsp;</span>'},
		{title: 'Icon Sort-By-Alphabet-Alt', description: 'Icon Sort-By-Alphabet-Alt', content: '<span class="glyphicon glyphicon-sort-by-alphabet-alt">&nbsp;</span>'},
		{title: 'Icon Sort-By-Order', description: 'Icon Sort-By-Order', content: '<span class="glyphicon glyphicon-sort-by-order">&nbsp;</span>'},
		{title: 'Icon Sort-By-Order-Alt', description: 'Icon Sort-By-Order-Alt', content: '<span class="glyphicon glyphicon-sort-by-order-alt">&nbsp;</span>'},
		{title: 'Icon Sort-By-Attributes', description: 'Icon Sort-By-Attributes', content: '<span class="glyphicon glyphicon-sort-by-attributes">&nbsp;</span>'},
		{title: 'Icon Sort-By-Attributes-Alt', description: 'Icon Sort-By-Attributes-Alt', content: '<span class="glyphicon glyphicon-sort-by-attributes-alt">&nbsp;</span>'},
		{title: 'Icon Unchecked', description: 'Icon Unchecked', content: '<span class="glyphicon glyphicon-unchecked">&nbsp;</span>'},
		{title: 'Icon Expand', description: 'Icon Expand', content: '<span class="glyphicon glyphicon-expand">&nbsp;</span>'},
		{title: 'Icon Collapse', description: 'Icon Collapse', content: '<span class="glyphicon glyphicon-collapse">&nbsp;</span>'},
		{title: 'Icon Collapse-Top', description: 'Icon Collapse-Top', content: '<span class="glyphicon glyphicon-collapse-top">&nbsp;</span>'}
    ]
});