Rem ' Cnawlece V4 Custom DLLs - Util.bas
    ' Copyright (c) 2009-2015, Cnawlece Incorporated
    ' All rights reserved.
    '
    ' Redistribution and use in source and binary forms, with or without
    ' modification, are permitted provided that the following conditions are met:
    '     * Redistributions of source code must retain the above copyright
    '       notice, this list of conditions and the following disclaimer.
    '     * Redistributions in binary form must reproduce the above copyright
    '       notice, this list of conditions and the following disclaimer in the
    '       documentation and/or other materials provided with the distribution.
    '     * Neither the name of the Cnawlece nor the
    '       names of its contributors may be used to endorse or promote products
    '       derived from this software without specific prior written permission.
    '
    ' THIS SOFTWARE IS PROVIDED BY Cnawlece Incorporated ''AS IS'' AND ANY
    ' EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    ' WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    ' DISCLAIMED. IN NO EVENT SHALL Cnawlece Incorporated BE LIABLE FOR ANY
    ' DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    ' (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    ' LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ' ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    ' (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    ' SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Rem 'Moxie Equates
    %CS_Notify              = 1101

    %CS_Notify_Start_Begin  = 1201
    %CS_Notify_Started_DB   = 1221
    %CS_Notify_Started_TCP  = 1271
    %CS_Notify_Start_End    = 1299

    %CS_Notify_Stop_Begin   = 1901
    %CS_Notify_Stopped_TCP  = 1921
    %CS_Notify_Stopped_DB   = 1971
    %CS_Notify_Stop_End     = 1999

    $R = Chr$(0)                        'Record delimter
    $F = Chr$(1)                        'Field delimiter
    $I = Chr$(2)                        'Sub field Item delimter
    $C = Chr$(3 To 5)                   'It is safe to use these as Custom delimters in this range
    $B = Chr$(6)                        'This is the internal value of a Field that is to be Backfilled. Only needed when calling the DB direclty (not via a Query.)
    $E = Chr$(7)                        'Data Escape, following character minus 8 is the real data value

    $WSpace = $Tab + $Spc + $CrLf       'Whitespace characters

    'Valid Database and Query Field Name Characters
    $DTValidChars = "-_." + Chr$(48 To 57) + Chr$(65 To 90) + Chr$(97 To 122)
    $DAValidChars = "-_.@" + Chr$(48 To 57) + Chr$(65 To 90) + Chr$(97 To 122)
    $DFValidChars = "-_" + Chr$(48 To 57) + Chr$(65 To 90) + Chr$(97 To 122)

    'Table Deff Fields
    %TFL = 1 'LBound
        %TFName     = 1                 'Name
        %TFLabel    = 2                 'Label
        %TFNote     = 3                 'User Note (shown to user in admin area when viewing/editing records)
        %TFAttr     = 4                 'Attributes, delimited by $I
        %TFDevNote  = 5                 'Shown in table summary for developer's info
    %TFU = 5 'UBound

    'Relationship Deff Fields
    %RFL = 1 'LBound
        %RFTable    = 1                 'Other Table Name
        %RFRltn     = 2                 'Relation (Parent, Child, Circle)
        %RFRatio    = 3                 'Ratio (Parent-Child: 1-1, 1-m, m-1, m-m)
        %RFNote     = 4                 'User Note (shown to user in admin area when viewing/editing attached items)
        %RFAttr     = 5                 'Attributes, delimited by $I
        %RFDevNote  = 6                 'Developer's Note
    %RFU = 6 'UBound

    'Procedure Deff Fields
    %CFL = 1 'LBound
        %CFName     = 1 'Procedure Name
        %CFType     = 2 'Type (Public Method, Include, Message Handler, Table Action, Table Report, Record Action, Record Report)
        %CFParams   = 3 'Parameters (only for Public Methods), comma separated or * to disable param checking
        %CFGTypes   = 4 'User Group Types allowed to run this, leave blank to disable security check. Delimited by $I
        %CFLabel    = 5 'User Label (only for Table Actions, Table Reports, Record Actions, and Record Reports)
        %CFNote     = 6 'User Note (only for Table Actions, Table Reports, Record Actions, and Record Reports)
        %CFDevNote  = 7 'Developer's Notes
        %CFSource   = 8 'Source Code
    %CFU = 8 'UBound

    %TMAppend       = 0                 'Template Module Append (Default)
    %TMPrepend      = 1                 'Template Module Prepend
    %TMReplace      = 2                 'Template Module Replace

    %DSLogin        = 1                 'Database Session Get Login
    %DSValid        = 2                 'Database Session Valid
    %DSExpired      = 3                 'Database Session Expired
    %DSTwoFactor    = 5                 'Database Session waiting for Two Factor Login
    %DSError        = 9                 'Database Session Error

    %DJ121          = 1                 'Database Join 1st found, don't discard if no match
    %DJAll          = 2                 'Database Join all found, don't discard if no match
    %DJDiscard      = 3                 'Database Join all found, discard if no match


Rem 'Admin Module's Current Connections table. Don't touch.
    Type tCnwSock
        hSock As Long
        dAddr As Dword
        dPort As Dword
        dThrd As Dword
        dTimer As Dword
        zProtocol As AsciiZ * 8
        zConnected As AsciiZ * 20
        zLastHit As AsciiZ * 20
        zUnique As AsciiZ * 36
    End Type
    %INVALID_SOCKET = -1


Rem 'Error checking used in Request
    Macro mTopLevelFail(lsErr)      = If Len(lsErr) Then Method = lsErr     : Method ObjResult = %True : Exit Method
    Macro mlsErr2Rtn                = If Len(lsErr) Then Method = lsErr     : Exit Method
    Macro mErrChkRtnStr(llErr)      = If llErr      Then Function = Error$  : Exit Function
    Macro mErrChkStrRtnStr(lsErr)   = If Len(lsErr) Then Function = lsErr   : Exit Function

Rem 'Error checking used in Request Handlers
    Macro mErr2poTmpl(psExpand)         =                           poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand
    Macro mIfErr2poTmpl(psErr)          = If Len(psErr) Then        poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psErr
    Macro mPBErr2poTmpl(psExpand)       = If Err Then               poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + Error$
    Macro mlsErr2loTmpl(psExpand)       = If Len(lsErr) Then        loTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + lsErr
    Macro mlsErr2poTmpl(psExpand)       = If Len(lsErr) Then        poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + lsErr
    Macro mDBErr2poTmpl(psExpand)       = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + poDB.LastErr
    Macro mQErr2poTmpl(psExpand)        = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + loQ.LastErr
    Macro mQ2Err2poTmpl(psExpand)       = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + loQ2.LastErr
    Macro mIsNot2poTmpl(poObj)          = If IsNothing(poObj) Then  poTmpl.Module("MainErrors", %TMAppend) = "<br>" + "Failed to load class from Moxie.dll"

    Macro mErr2poTmplGTForm(psExpand)   =                           poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand                                                      : GoTo ShowForm
    Macro mPBErr2poTmplGTForm(psExpand) = If Err Then               poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + Error$                                      : GoTo ShowForm
    Macro mlsErr2poTmplGTForm(psExpand) = If Len(lsErr) Then        poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + lsErr                                       : GoTo ShowForm
    Macro mDBErr2poTmplGTForm(psExpand) = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + poDB.LastErr  : GoTo ShowForm
    Macro mQErr2poTmplGTForm(psExpand)  = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + loQ.LastErr   : GoTo ShowForm
    Macro mQ2Err2poTmplGTForm(psExpand) = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + loQ2.LastErr  : GoTo ShowForm
    Macro mIsNot2poTmplGTForm(poObj)    = If IsNothing(poObj) Then  poTmpl.Module("MainErrors", %TMAppend) = "<br>" + "Failed to load class from Moxie.dll"                      : GoTo ShowForm

    Macro mErr2poTmplExit(psExpand)     =                           poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand                                                      : Exit Method
    Macro mPBErr2poTmplExit(psExpand)   = If Err Then               poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + Error$                                      : Exit Method
    Macro mlsErr2poTmplExit(psExpand)   = If Len(lsErr) Then        poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + lsErr                                       : Exit Method
    Macro mDBErr2poTmplExit(psExpand)   = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + poDB.LastErr  : Exit Method
    Macro mQErr2poTmplExit(psExpand)    = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + loQ.LastErr   : Exit Method
    Macro mQ2Err2poTmplExit(psExpand)   = If ObjResult < 0 Then     poTmpl.Module("MainErrors", %TMAppend) = "<br>" + psExpand + IIf$(Len(psExpand),": ","") + ObjResult$(ObjResult) + " " + loQ2.LastErr  : Exit Method
    Macro mIsNot2poTmplExit(poObj)      = If IsNothing(poObj) Then  poTmpl.Module("MainErrors", %TMAppend) = "<br>" + "Failed to load class from Moxie.dll"                      : Exit Method

    Macro mQErr2PropertyExit(psExpand)  = If ObjResult <> 0   Then  Property = "<br>" + psExpand + ": " + ObjResult$(ObjResult) + " " + loQ.LastErr : Exit Property
    Macro mIsNot2PropertyExit(poObj)    = If IsNothing(poObj) Then  Property = "<br>" + "Failed to load class from Moxie.dll"                    : Exit Property

Rem 'Error returns for Update Handlers
    Macro muSoftFail(psText)        =                           Method ObjResult = %S_False     : Method = psText                        : Exit Method
    Macro muHardFail(psText)        =                           Method ObjResult = -99          : Method = psText                        : Exit Method
    Macro muIsNotHardFail(poObj)    = If IsNothing(poObj) Then  Method ObjResult = -99          : Method = "Failed to load class"        : Exit Method
    Macro muCheckHardFail(psText)   = If ObjResult < 0  Then    Method ObjResult = ObjResult    : Method = psText                        : Exit Method
    Macro muCheck_loQRtn(psWhere)   = If ObjResult <> 0 Then    Method ObjResult = ObjResult    : Method = psWhere + IIf$(Len(psWhere),": ","") + loQ.LastErr  : Exit Method
    Macro muCheck_loQ2Rtn(psWhere)  = If ObjResult <> 0 Then    Method ObjResult = ObjResult    : Method = psWhere + IIf$(Len(psWhere),": ","") + loQ2.LastErr : Exit Method
    Macro muCheck_poQRtn(psWhere)   = If ObjResult <> 0 Then    Method ObjResult = ObjResult    : Method = psWhere + IIf$(Len(psWhere),": ","") + poQ.LastErr  : Exit Method
    Macro muCheck_MeRtn(psWhere)    = If ObjResult <> 0 Then    Method ObjResult = ObjResult    : Method = psWhere + IIf$(Len(psWhere),": ","") + lsErr        : Exit Method

Rem 'Error returns for functions
    Macro mfCheck_loQRtn(psWhere)   = If ObjResult <  0 Then                                      Function = psWhere + ": " + loQ.LastErr : Exit Function

Rem 'New Objects
    Macro mNewQ(pQ) = pQ = NewCom ClsId $CLSID_Moxie_Objects_CQUERY Lib "Moxie.dll"
    Macro mNewR(pR) = pR = NewCom ClsId $CLSID_Moxie_Objects_CREQUEST Lib "Moxie.dll"
    Macro mNewT(pT) = pT = NewCom ClsId $CLSID_Moxie_Objects_CTEMPLATE Lib "Moxie.dll"

Rem 'Value Shortcuts
    Macro mNow      = Right$(Date$, 4) + "-" + Left$(Date$, 5) + " " + Time$
    Macro mNowFile  = Right$(Date$, 4) + "-" + Left$(Date$, 5) + "-" + Remove$(Time$, ":")
    Macro mToday    = Right$(Date$, 4) + "-" + Left$(Date$, 5)

Rem 'Util Macros
    Macro mCleanVal(psVal) = Val(Retain$(Extract$(psVal, "|"), Any "-.0123456789"))

Rem 'Common Functions to be called from any module/class
    Function HttpsEnsure(poReq As iRequest, poDB As iDatabase, poTmpl As iTemplate) As Long
        Register rlPrc As Long : rlPrc = CvDwd("Re2S")
        Register rlBlk As Long : rlBlk = &hA0A0A0A0
        Local lsPath, lsLocation, lsOut As String
        If LCase$(poReq.Protocol) = "http" Then
        	lsPath = poReq.Path
        	
        	If (Len(poReq.RelayHttpsHost) > 0)	Then
        												lsLocation = "https://" + poReq.RelayHttpsHost + "/" + lsPath
        	ElseIf poReq.ServerHttpsPort = 443	Then
        												lsLocation = "https://" + poReq.Host + "/" + lsPath
            ElseIf poReq.ServerHttpsPort		Then
        												lsLocation = "https://" + poReq.Host + ":" + Format$(poReq.ServerHttpsPort) + "/" + lsPath
            End If
            
            If Len(lsLocation) Then
	            poReq.OutStatus = "302 Found"
	            poReq.OutHeaderAppend("Location") = lsLocation
	            poTmpl.Runtime = "<p>Redirecting you to a secure connection at <a href='" + lsLocation + "'>" + lsLocation + "</a></p>"
	            Function = %True
	        End If
        End If
    End Function
